#!/bin/sh

if [ `whoami` != "ldm" ]; then
	echo 'Login as user ldm to run script'
	exit
fi

machost=`hostname | cut -c1-3`
if [ $machost != "ls1" ]; then
	echo 'Script should be run from LS1'
	exit
fi

echo 'This script appends to a file in customFiles.'
echo 'This should be run on data server ls1 (ldad).'

tdydate=`date +%Y%m%d`
echo 'Backup files have extension .old.'$tdydate

echo 'Creating new file.'

cat /usr/local/ldm/etc/pqact.conf /tmp/cras-setup/UW-pqact.conf > /usr/local/ldm/etc/pqact.conf.new.$tdydate

cd /usr/local/ldm/etc

echo 'Saving off old copy.'
mv pqact.conf pqact.conf.txt.old.$tdydate

echo 'Installing new file.'
mv pqact.conf.new.$tdydate pqact.conf

echo 'Removing temporary file used in this script.'
cd /tmp/cras-setup
rm -f UW-pqact.conf

echo 'Done.'
echo 'Remember to restart the Local Data Manager.'
exit
